public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-astronomy/montage/files/, sci-astronomy/montage/
@ 2025-03-10  1:37 Sam James
  0 siblings, 0 replies; 2+ messages in thread
From: Sam James @ 2025-03-10  1:37 UTC (permalink / raw
  To: gentoo-commits

commit:     de2495100b0829f5e8e74e76c13791ead6630781
Author:     NHOrus <jy6x2b32pie9 <AT> yahoo <DOT> com>
AuthorDate: Sun Mar  2 20:00:34 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Mar 10 01:34:52 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de249510

sci-astronomy/montage: update EAPI 7 -> 8, fix build with GCC-15

Uses hand-written, badly-recursive Makefile that swallows errors and
replaces makefiles of vendored dependencies. Parallel builds exhibit
random, unpredictable failures, so they are disabled.
Most of Makefiles pass -std=c99, for case where they don't limit C version
globally  to C17 with GNU extensions.
Remove an unused function from vendored dependency, add missing include
to main component.
Fix deprecated dependency.

Closes: https://bugs.gentoo.org/920316
Bug: https://bugs.gentoo.org/942753
Bug: https://bugs.gentoo.org/888553
Closes: https://bugs.gentoo.org/741080
Bug: https://bugs.gentoo.org/832708
Signed-off-by: NHOrus <jy6x2b32pie9 <AT> yahoo.com>
Closes: https://github.com/gentoo/gentoo/pull/40854
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-astronomy/montage/files/montage-5.0-c23.patch | 34 +++++++++++
 sci-astronomy/montage/montage-5.0-r1.ebuild       | 74 +++++++++++++++++++++++
 2 files changed, 108 insertions(+)

diff --git a/sci-astronomy/montage/files/montage-5.0-c23.patch b/sci-astronomy/montage/files/montage-5.0-c23.patch
new file mode 100644
index 000000000000..02798a47ebf3
--- /dev/null
+++ b/sci-astronomy/montage/files/montage-5.0-c23.patch
@@ -0,0 +1,34 @@
+Add missing library header, remove unused function
+https://bugs.gentoo.org/920316
+https://bugs.gentoo.org/741080
+--- a/grid/Pegasus/mPresentation.c	2025-03-02 22:04:54.247085465 +0400
++++ b/grid/Pegasus/mPresentation.c	2025-03-02 22:06:57.356329407 +0400
+@@ -14,6 +14,7 @@
+ #include <stdlib.h>
+ #include <unistd.h>
+ #include <strings.h>
++#include <string.h>
+ 
+ #define MAXLEN 20000
+ 
+--- a/lib/src/two_plane_v1.1/initdistdata.c	2025-03-02 22:04:54.227996254 +0400
++++ b/lib/src/two_plane_v1.1/initdistdata.c	2025-03-02 22:06:11.307762628 +0400
+@@ -26,18 +26,6 @@
+   return 0;
+ }
+ 
+-void closefitsfile()
+-{ 
+-  int I_fits_return_status=0;
+-  fits_close_file(ffp_FITS_In, &I_fits_return_status); 
+-  if (I_fits_return_status != 0)
+-  {
+-     fprintf(stderr, "Error closing file\n");
+-     return -1;
+-  }
+-  return 0;
+-}
+-
+ int initdata_byheader(char *fitsheader, DistCoeff *coeff) 
+ {
+   int i, j, m=0, n=0;

diff --git a/sci-astronomy/montage/montage-5.0-r1.ebuild b/sci-astronomy/montage/montage-5.0-r1.ebuild
new file mode 100644
index 000000000000..c149a7e32ae7
--- /dev/null
+++ b/sci-astronomy/montage/montage-5.0-r1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs flag-o-matic
+
+MYPN=Montage
+DESCRIPTION="Toolkit for assembling FITS images into mosaics"
+HOMEPAGE="http://montage.ipac.caltech.edu/"
+SRC_URI="http://montage.ipac.caltech.edu/download/${MYPN}_v${PV}.tar.gz"
+S="${WORKDIR}/${MYPN}"
+
+LICENSE="BSD GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc mpi"
+
+RDEPEND="
+	media-libs/freetype:2=
+	media-libs/libjpeg-turbo:0=
+	sci-astronomy/wcstools:0=
+	sci-libs/cfitsio:0=
+	mpi? ( virtual/mpi )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-4.1-fix_format_errors.patch
+	"${FILESDIR}"/${PN}-4.1-initdistdata.patch
+	"${FILESDIR}"/${PN}-5.0-fix_freetype_incude.patch
+	"${FILESDIR}"/${PN}-5.0-c23.patch
+)
+
+src_prepare() {
+	default
+
+	sed -e '/cfitsio/d' \
+		-e '/wcssubs/d' \
+		-e '/jpeg/d' \
+		-e '/freetype/d' \
+		-i lib/src/Makefile || die
+
+	tc-export CC AR
+
+	# bug #708396
+	append-cflags -fcommon -std=gnu17
+
+	find . -name Makefile\* | xargs sed -i \
+		-e "/^CC.*=/s:\(gcc\|cc\):$(tc-getCC):g" \
+		-e "/^CFLAGS.*=/s:-g:${CFLAGS} $($(tc-getPKG_CONFIG) --cflags wcstools):g" \
+		-e "s:-I../../lib/freetype/include :$($(tc-getPKG_CONFIG) --cflags freetype2):g" \
+		-e 's:$(CC) -o:$(CC) $(LDFLAGS) -o:g' \
+		-e "s:-lwcs:$($(tc-getPKG_CONFIG) --libs wcstools):g" \
+		-e "s:-lcfitsio:$($(tc-getPKG_CONFIG) --libs cfitsio):g" \
+		-e 's:-lnsl::g' \
+		-e "s:ar q:$(tc-getAR) q:g"  || die
+
+	if use mpi; then
+		sed -e 's:# MPICC:MPICC:' \
+			-e 's:# BINS:BINS:' \
+			-i Montage/Makefile.* || die
+	fi
+
+	# Handwritten makefile. No parallel build support
+	# bug #888553 #942753
+	MAKEOPTS=-j1
+}
+
+src_install() {
+	dobin bin/*
+	dodoc README* ChangeHistory
+	use doc && dodoc -r man/*
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-astronomy/montage/files/, sci-astronomy/montage/
@ 2017-08-02 13:57 Sebastien Fabbro
  0 siblings, 0 replies; 2+ messages in thread
From: Sebastien Fabbro @ 2017-08-02 13:57 UTC (permalink / raw
  To: gentoo-commits

commit:     f8c042ae7c7ae2e8bf7a96f1a0e1ae373b6436b8
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  2 04:23:57 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Wed Aug  2 13:48:36 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f8c042ae

sci-astronomy/montage: version bump

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 sci-astronomy/montage/Manifest                     |  1 +
 .../files/montage-5.0-fix_freetype_incude.patch    | 35 +++++++++++
 sci-astronomy/montage/montage-5.0.ebuild           | 67 ++++++++++++++++++++++
 3 files changed, 103 insertions(+)

diff --git a/sci-astronomy/montage/Manifest b/sci-astronomy/montage/Manifest
index 06c81c3914c..49c8a0f4c24 100644
--- a/sci-astronomy/montage/Manifest
+++ b/sci-astronomy/montage/Manifest
@@ -1 +1,2 @@
+DIST Montage_v5.0.tar.gz 14663443 SHA256 72e034adb77c8a05ac40daf9d1923c66e94faa0b08d3d441256d9058fbc2aa34 SHA512 1396c7f846db4844d2e861622d152f2115ad4c684da02bb14116dfe3d01b559feaf29572663d0dfd234aa50843afaca3bb072d9127fbb2b539a14327c48499ae WHIRLPOOL f5fc9d93d88c95ff079932d9e5f0ed61a0f30bec6bd2df5e50abfce6b171cee1b2b3e6dbed2ad1e65a7c69531b4475d62840b14f299ceffa6e65788cd9812579
 DIST montage-4.1.tar.gz 38542751 SHA256 12e463c30de190d6e8e215ef19ee787010194190e3df5ea579b6f3647804a5b4 SHA512 a4e6572c0ce04ca950cb425e2589d85609d037e57c575d4efa67b277cecf5e54a2e6d307914ee99997baaba7c5bdd43c72b1e1893111eacc065785689bfc17fb WHIRLPOOL bfd136b52a9c7b0bdceaaa0110b0476e8cb991c64ab4b646b60250e57f282fbe40c9795cef804b15caf29e0628dcb16157af11a1aa4f7e4f7c66c91f969f6484

diff --git a/sci-astronomy/montage/files/montage-5.0-fix_freetype_incude.patch b/sci-astronomy/montage/files/montage-5.0-fix_freetype_incude.patch
new file mode 100644
index 00000000000..42fd94950b8
--- /dev/null
+++ b/sci-astronomy/montage/files/montage-5.0-fix_freetype_incude.patch
@@ -0,0 +1,35 @@
+From: Ole Streicher <olebole@debian.org>
+Date: Thu, 22 Dec 2016 14:24:44 +0100
+Subject: Fix freetype include path
+
+---
+ MontageLib/Viewer/mViewer_graphics.c | 2 +-
+ util/Viewer/graphics.c               | 2 +-
+ 2 files changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/MontageLib/Viewer/mViewer_graphics.c b/MontageLib/Viewer/mViewer_graphics.c
+index 932ca5f..a50281d 100644
+--- a/MontageLib/Viewer/mViewer_graphics.c
++++ b/MontageLib/Viewer/mViewer_graphics.c
+@@ -1,7 +1,7 @@
+ #include <stdio.h>
+ #include <math.h>
+ #include <freetype2/ft2build.h>
+-#include <freetype.h>
++#include FT_FREETYPE_H
+ 
+ void  mViewer_labeledCurve (char *face_path, int fontsize, int showLine,
+                             double *xcurve, double *ycurve, int npt,  
+diff --git a/util/Viewer/graphics.c b/util/Viewer/graphics.c
+index 6bb7d8d..f7a5215 100644
+--- a/util/Viewer/graphics.c
++++ b/util/Viewer/graphics.c
+@@ -1,7 +1,7 @@
+ #include <stdio.h>
+ #include <math.h>
+ #include <freetype2/ft2build.h>
+-#include <freetype.h>
++#include FT_FREETYPE_H
+ 
+ void labeled_curve (char *face_path, int fontsize, int showLine,
+                     double *xcurve, double *ycurve, int npt,  

diff --git a/sci-astronomy/montage/montage-5.0.ebuild b/sci-astronomy/montage/montage-5.0.ebuild
new file mode 100644
index 00000000000..91e67534e2f
--- /dev/null
+++ b/sci-astronomy/montage/montage-5.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils toolchain-funcs
+
+MYPN=Montage
+
+DESCRIPTION="Toolkit for assembling FITS images into mosaics"
+HOMEPAGE="http://montage.ipac.caltech.edu/"
+SRC_URI="http://montage.ipac.caltech.edu/download/${MYPN}_v${PV}.tar.gz"
+
+LICENSE="BSD GPL-2"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+SLOT="0"
+
+IUSE="doc mpi"
+
+RDEPEND="
+	media-libs/freetype:2=
+	sci-astronomy/wcstools:0=
+	sci-libs/cfitsio:0=
+	virtual/jpeg:0
+	mpi? ( virtual/mpi )"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-4.1-fix_format_errors.patch
+	"${FILESDIR}"/${PN}-4.1-initdistdata.patch
+	"${FILESDIR}"/${PN}-5.0-fix_freetype_incude.patch
+)
+
+S="${WORKDIR}/${MYPN}"
+
+src_prepare() {
+	default
+	sed -e '/cfitsio/d' \
+		-e '/wcssubs/d' \
+		-e '/jpeg/d' \
+		-e '/freetype/d' \
+		-i lib/src/Makefile || die
+
+	tc-export CC AR
+
+	find . -name Makefile\* | xargs sed -i \
+		-e "/^CC.*=/s:\(gcc\|cc\):$(tc-getCC):g" \
+		-e "/^CFLAGS.*=/s:-g:${CFLAGS} $($(tc-getPKG_CONFIG) --cflags wcstools):g" \
+		-e "s:-I../../lib/freetype/include :$($(tc-getPKG_CONFIG) --cflags freetype2):g" \
+		-e 's:$(CC) -o:$(CC) $(LDFLAGS) -o:g' \
+		-e "s:-lwcs:$($(tc-getPKG_CONFIG) --libs wcstools):g" \
+		-e "s:-lcfitsio:$($(tc-getPKG_CONFIG) --libs cfitsio):g" \
+		-e 's:-lnsl::g' \
+		-e "s:ar q:$(tc-getAR) q:g"  || die
+
+	if use mpi; then
+		sed -e 's:# MPICC:MPICC:' \
+			-e 's:# BINS:BINS:' \
+			-i Montage/Makefile.* || die
+	fi
+}
+
+src_install () {
+	dobin bin/*
+	dodoc README* ChangeHistory
+	use doc && dodoc -r man/*
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2025-03-10  1:38 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-03-10  1:37 [gentoo-commits] repo/gentoo:master commit in: sci-astronomy/montage/files/, sci-astronomy/montage/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2017-08-02 13:57 Sebastien Fabbro

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox